Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 251001 - app-emulation/aqemu - ebuild request
Summary: app-emulation/aqemu - ebuild request
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal with 2 votes (vote)
Assignee: Maxim Koltsov
URL: http://sourceforge.net/projects/aqemu
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-12-15 09:30 UTC by Loki
Modified: 2011-06-24 12:36 UTC (History)
11 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Ebuild I found on the homepage (aqemu-0.6.ebuild,1.44 KB, text/plain)
2009-01-01 03:52 UTC, Erik Hahn
Details
/aqemu-0.7.1.ebuild (aqemu-0.7.1.ebuild,1.59 KB, text/plain)
2009-06-01 07:27 UTC, Andreis Vinogradovs ( slepnoga )
Details
aqemu-0.7.1-r1.ebuild (aqemu-0.7.1-r1.ebuild,1.67 KB, text/plain)
2009-06-07 22:18 UTC, Andreis Vinogradovs ( slepnoga )
Details
aqemu-0.7.3. (aqemu-0.7.3.ebuild,1.44 KB, text/plain)
2009-11-11 16:13 UTC, Andreis Vinogradovs ( slepnoga )
Details
update depends from kvm -> qemu-kvm (aqemu-0.7.3-r1.ebuild,1.44 KB, text/plain)
2009-12-19 18:49 UTC, Reuben Martin
Details
ebuild for new version it need aqemu-0.8-datafolder-and-lang.patch! (aqemu-0.8.ebuild,1.65 KB, text/plain)
2010-07-13 06:50 UTC, Slipeer
Details
patch to original aqemu-0.8 (aqemu-0.8-datafolder-and-lang.patch,3.14 KB, patch)
2010-07-13 06:51 UTC, Slipeer
Details | Diff
aqemu-0.8.1_beta2.ebuild (aqemu-0.8.1_beta2.ebuild,918 bytes, text/plain)
2010-11-05 05:00 UTC, Andreis Vinogradovs ( slepnoga )
Details
aqemu-0.8.0-r1.ebuild (aqemu-0.8.0-r1.ebuild,1.03 KB, text/plain)
2010-11-05 05:01 UTC, Andreis Vinogradovs ( slepnoga )
Details
aqemu-9999.ebuild (aqemu-9999.ebuild,1.05 KB, text/plain)
2010-11-05 05:01 UTC, Andreis Vinogradovs ( slepnoga )
Details
aqemu-0.8.1 (aqemu-0.8.1.ebuild,854 bytes, text/plain)
2011-01-26 11:03 UTC, Andreis Vinogradovs ( slepnoga )
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Loki 2008-12-15 09:30:26 UTC
AQEMU is a QEMU GUI written in Qt4. The program have user-friendly interface and allows to set up the majority of QEMU options.

A nw release 0.6 on 13 december 2008

Reproducible: Always
Comment 1 Erik Hahn 2009-01-01 03:52:48 UTC
Created attachment 176980 [details]
Ebuild I found on the homepage

I found this ebuild in the download section at sf (http://sourceforge.net/project/showfiles.php?group_id=229794&package_id=278450&release_id=646976).  Clearly not the place where you'd search it.
Comment 2 Andreis Vinogradovs ( slepnoga ) 2009-06-01 07:27:06 UTC
Created attachment 193110 [details]
/aqemu-0.7.1.ebuild

Upstream release 7.0.1 version.
Version bump & EAPI=2 support
Comment 3 Andreis Vinogradovs ( slepnoga ) 2009-06-07 22:18:10 UTC
Created attachment 193844 [details]
aqemu-0.7.1-r1.ebuild
Comment 4 Ronan Arraes Jardim Chagas 2009-08-15 17:31:54 UTC
Congratulations for the ebuild, works perfectly!
This must be on portage in my opinion, KVM becomes 10x easier!
Thanks,
Ronan.
Comment 5 Andreis Vinogradovs ( slepnoga ) 2009-11-11 16:13:16 UTC
Created attachment 209925 [details]
aqemu-0.7.3.
Comment 6 Reuben Martin 2009-12-19 18:49:33 UTC
Created attachment 213492 [details]
update depends from kvm -> qemu-kvm
Comment 7 Andreis Vinogradovs ( slepnoga ) 2010-01-12 23:36:14 UTC
New ebuils place in rion overlay 
Comment 8 Michele Ciacci 2010-03-01 19:13:14 UTC
small issue 

in kde menu 

it point to wrong executable 

aqemu should point to /usr/bin/AQEMU
Comment 9 Slipeer 2010-07-13 06:50:33 UTC
Created attachment 238559 [details]
ebuild for new version it need aqemu-0.8-datafolder-and-lang.patch!
Comment 10 Slipeer 2010-07-13 06:51:43 UTC
Created attachment 238561 [details, diff]
patch to original aqemu-0.8
Comment 11 Slipeer 2010-07-13 06:52:42 UTC
There aqemu 0.8 released http://sourceforge.net/projects/aqemu/
There aqemu-0.8.ebuild
I fount two bugs:
1. Wrong language file extention - author use in code old extention, but Russian language file have new extention.
2. In the main.cpp author forgot to chenge data folder path to new.
There is patch to fix it - aqemu-0.8-datafolder-and-lang.patch. (this patch needed to my ebuild)
Comment 12 Andrey Rijov 2010-07-14 09:20:07 UTC
Hi to all. I'm AQEMU developer.

To Slipeer:
You read my comments on SourceForge.net?
https://sourceforge.net/tracker/?func=detail&aid=3028845&group_id=229794&atid=1078458
https://sourceforge.net/tracker/?func=detail&aid=3028819&group_id=229794&atid=1078458

In currently localization error fixed. This problem was not in the program code. It bug in build script. I updated the source a few hours after release. The corrected file is named: aqemu-0.8.0.tar.bz2 (file with bug named: aqemu-0.8.tar.bz2).

Your patch change translation file extension from: .qm to .ts - this is not right. TS files - translation source, QM files - compiled binary translation.
You can read about it on: http://doc.qt.nokia.com/4.6/internationalization.html#dynamic-translation
Comment 13 Slipeer 2010-07-19 04:23:32 UTC
(In reply to comment #12)
> Hi to all. I'm AQEMU developer.
> 
> To Slipeer:
> You read my comments on SourceForge.net?
> https://sourceforge.net/tracker/?func=detail&aid=3028845&group_id=229794&atid=1078458
> https://sourceforge.net/tracker/?func=detail&aid=3028819&group_id=229794&atid=1078458
> 
> In currently localization error fixed. This problem was not in the program
> code. It bug in build script. I updated the source a few hours after release.
> The corrected file is named: aqemu-0.8.0.tar.bz2 (file with bug named:
> aqemu-0.8.tar.bz2).
> 
> Your patch change translation file extension from: .qm to .ts - this is not
> right. TS files - translation source, QM files - compiled binary translation.
> You can read about it on:
> http://doc.qt.nokia.com/4.6/internationalization.html#dynamic-translation
> 

ok. Today i'm fix my ebuild and upload fixed version. Thanks for quick response.
Comment 14 Andrey Rijov 2010-07-19 04:34:26 UTC
> 
> Today i'm fix my ebuild and upload fixed version.
> 

Ebuild already available in rion overlay. Author: Andreis_Vinogradovs (slepnoga)
Comment 15 Andreis Vinogradovs ( slepnoga ) 2010-11-05 05:00:37 UTC
Created attachment 253241 [details]
aqemu-0.8.1_beta2.ebuild
Comment 16 Andreis Vinogradovs ( slepnoga ) 2010-11-05 05:01:32 UTC
Created attachment 253243 [details]
aqemu-0.8.0-r1.ebuild

SPICE DEPEND'S
Comment 17 Andreis Vinogradovs ( slepnoga ) 2010-11-05 05:01:54 UTC
Created attachment 253245 [details]
aqemu-9999.ebuild
Comment 18 Andreis Vinogradovs ( slepnoga ) 2011-01-26 11:03:19 UTC
Created attachment 260763 [details]
aqemu-0.8.1
Comment 19 Maxim Koltsov gentoo-dev 2011-06-24 12:36:26 UTC
Added to tree, thanks to slepnoga

*aqemu-0.8.1 (24 Jun 2011)

  24 Jun 2011; Maxim Koltsov (maksbotan) <maksbotan@gentoo.org>
  +aqemu-0.8.1.ebuild, +metadata.xml:
  Copy app-emulation/aqemu-0.8.1 from layman/rion overlay with slepnoga
  (spamslepnoga@inbox.ru) as proxied maintainer. Fix bug #251001.